
public class StringBuilderConvertor {

	public static void main(String[] args) {
		String testString = "Hello from JCG-MaryZheng";

		StringBuilder sb = stringToStringBuilder_Constructor(testString);
		System.out.println("String to StringBuilder via Constructor: " + sb);
		System.out.println("String to StringBuilder via Append: " + stringToStringBuilder_Append("Hello", " World"));

		System.out.println("StringBuilder to String: " + StringBuilderToString(sb));
		System.out.println("StringBuilder to String_valueOf: " + StringBuilderToString_valueOf(sb));

	}

	public static StringBuilder stringToStringBuilder_Constructor(final String stringTxt) {
		if (stringTxt == null) {
			return new StringBuilder();
		}
		return new StringBuilder(stringTxt);
	}

	public static StringBuilder stringToStringBuilder_Append(final String... stringTxt) {
		StringBuilder sb = new StringBuilder();
		for (String txt : stringTxt) {
			sb.append(txt);
		}

		return sb;
	}

	public static String StringBuilderToString(final StringBuilder StringBuilder) {
		if (StringBuilder == null) {
			return null;
		}
		return StringBuilder.toString();
	}

	public static String StringBuilderToString_valueOf(final StringBuilder StringBuilder) {
		return String.valueOf(StringBuilder);
	}

}
